### Enumeration

# GtkApplicationInhibitFlags

#### Declaration

    flags Gtk.ApplicationInhibitFlags

#### Description [src]

Types of user actions that may be blocked by `GtkApplication`.

See `gtk_application_inhibit()`.

#### Members

`GTK_APPLICATION_INHIBIT_LOGOUT`

  Inhibit ending the user session by logging out or by shutting down the computer.

  - Value: `1`
  - Nickname: `logout`
  - Available since: 4.0
`GTK_APPLICATION_INHIBIT_SWITCH`

  Inhibit user switching.

  - Value: `2`
  - Nickname: `switch`
  - Available since: 4.0
`GTK_APPLICATION_INHIBIT_SUSPEND`

  Inhibit suspending the session or computer.

  - Value: `4`
  - Nickname: `suspend`
  - Available since: 4.0
`GTK_APPLICATION_INHIBIT_IDLE`

  Inhibit the session being marked as idle (and possibly locked)

  - Value: `8`
  - Nickname: `idle`
  - Available since: 4.0